<?php

// ============================================
// Panel
// ============================================

// no panel


// ============================================
// Sections
// ============================================

Kirki::add_section( 'global', array(
    'title'          => esc_attr__( 'Global', 'barberry' ),
    'priority'       => 25,
    'capability'     => 'edit_theme_options',
) );


// ============================================
// Controls
// ============================================

$sep_id  = 100;
$section = 'global';


Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'bg_color',
    'label'       => esc_attr__( 'Content Background', 'barberry' ),
    'section'     => $section,
    'default'     => '#FFFFFF',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'base_color_scheme',
    'label'       => esc_attr__( 'Base Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#000000',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'accent_color_scheme',
    'label'       => esc_attr__( 'Accent Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#000000',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'main_font_color',
    'label'       => esc_attr__( 'Body Font Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#1c1c1c',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'bg_button_color',
    'label'       => esc_attr__( 'Button Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#000000',
    'priority'    => 10,
) );


// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'cart_bgcolor',
    'label'       => esc_attr__( 'Cart Totals Background Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#f4f4f4',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'checkout_bgcolor',
    'label'       => esc_attr__( 'Checkout Total Background Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#f4f4f4',
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'color',
    'settings'    => 'myaccount_bgcolor',
    'label'       => esc_attr__( 'My Account Left Navigation Background Color', 'barberry' ),
    'section'     => $section,
    'default'     => '#f4f4f4',
    'priority'    => 10,
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'slider',
    'settings'    => 'navigation_breakpoint',
    'label'       => esc_attr__( 'Navigation Mobile Breakpoint', 'barberry' ),
    'description' => esc_html__( "Define at what window size (in px) the header navigation menu will collapse into the mobile menu style - larger values are useful when you have navigations with many items which wouldn't fit on one line when viewed on small desktops/laptops.", 'barberry' ),
    'section'     => $section,
    'default'     => 1024,
    'priority'    => 10,
    'choices'     => 
        array 
        (
            'min'   => 768,
            'max'   => 1400,
            'step'  => 1
        ),
));

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'load_animation',
    'label'       => esc_attr__( 'Loading Transition Animation', 'barberry' ),
    'section'     => $section,
    'default'     => true,
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'nav_diag_animation',
    'label'       => esc_attr__( 'Diagonal Navigation Animation', 'barberry' ),
    'section'     => $section,
    'default'     => true,
    'priority'    => 10,
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'page_loader',
    'label'       => esc_attr__( 'Page Loader', 'barberry' ),
    'section'     => $section,
    'default'     => false,
    'priority'    => 10,
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'lazyload',
    'label'       => esc_attr__( 'Enable Lazy Load (Beta)', 'barberry' ),
    'section'     => $section,
    'default'     => false,
    'priority'    => 10,
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'backtotop',
    'label'       => esc_attr__( 'Enable Back to Top button', 'barberry' ),
    'section'     => $section,
    'default'     => true,
    'priority'    => 10,
) );

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'backtotop_mobile',
    'label'       => esc_attr__( 'Hide Back to Top button on mobile', 'barberry' ),
    'section'     => $section,
    'default'     => false,
    'priority'    => 10,
     'active_callback'    => array(
        array(
            'setting'  => 'backtotop',
            'operator' => '==',
            'value'    => true,     
        ),
    ),   
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'text',
    'settings'    => 'google_map_api_key',
    'label'       => esc_attr__( 'Google map API key', 'barberry' ),
    'description'  => wp_kses( __( 'Obrain API key <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_blank">here</a> to use our Google Map VC element.', 'barberry' ), array(
    'a' => array(
      'target' => array(),
      'href' => array(),
    ),
    ) ),
    'section'     => $section,
    'default'     => '',
    'priority'    => 10,   
) );

// ---------------------------------------------
Kirki::add_field( 'barberry', array(
    'type'        => 'separator',
    'settings'    => 'separator_'. $sep_id++,
    'section'     => $section,
) );
// ---------------------------------------------

Kirki::add_field( 'barberry', array(
    'type'        => 'toggle',
    'settings'    => 'combined_js',
    'label'       => esc_attr__( 'Combine JS files', 'barberry' ),
    'description' => esc_attr__( 'Combine all third party libraries and theme functions into one JS file (barberry-plugins-ext.js)', 'barberry' ),
    'section'     => $section,
    'default'     => false,
    'priority'    => 10,
) );



